package com.fs.chat.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 知识库对象 chat_dataset
 *
 * @author fs
 * @date 2024-04-21
 */
public class ChatDataset extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long datasetId;
    @Excel(name = "所属公司")
    private Long companyId;
    /** 所属角色 */
    @Excel(name = "所属角色")
    private Long roleId;

    /** 名称 */
    @Excel(name = "名称")
    private String datasetName;

    /** 外部ID */
    @Excel(name = "外部ID")
    private String extId;

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public void setDatasetId(Long datasetId)
    {
        this.datasetId = datasetId;
    }

    public Long getDatasetId()
    {
        return datasetId;
    }
    public void setRoleId(Long roleId)
    {
        this.roleId = roleId;
    }

    public Long getRoleId()
    {
        return roleId;
    }
    public void setDatasetName(String datasetName)
    {
        this.datasetName = datasetName;
    }

    public String getDatasetName()
    {
        return datasetName;
    }
    public void setExtId(String extId)
    {
        this.extId = extId;
    }

    public String getExtId()
    {
        return extId;
    }

}
